Package com.oracle.truffle.api.nodes

## Class GraphPrintVisitor.GraphPrintAdapter

- java.lang.Object
- - com.oracle.truffle.api.nodes.GraphPrintVisitor.GraphPrintAdapter

Enclosing class:
  GraphPrintVisitor

    public class GraphPrintVisitor.GraphPrintAdapter
    extends java.lang.Object

### Constructor Summary

Constructors
`GraphPrintAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connectNodes​(java.lang.Object node, java.lang.Object child)`
`void` `createElementForNode​(java.lang.Object node)`
`void` `setNodeProperty​(java.lang.Object node, java.lang.String propertyName, java.lang.Object value)`
`void` `visit​(java.lang.Object node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphPrintAdapter

    public GraphPrintAdapter()

### Method Detail

#### createElementForNode

    public void createElementForNode​(java.lang.Object node)

#### visit

    public void visit​(java.lang.Object node)

#### connectNodes

    public void connectNodes​(java.lang.Object node,
                             java.lang.Object child)

#### setNodeProperty

    public void setNodeProperty​(java.lang.Object node,
                                java.lang.String propertyName,
                                java.lang.Object value)